com.pixelmed.test

## Class TestRoleInProcedure

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestRoleInProcedure

-     public class TestRoleInProcedure
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestRoleInProcedure(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestRoleInProcedure_IrradiationAdministering_Description()`
    `void` | `TestRoleInProcedure_IrradiationAdministering_Equality()`
    `void` | `TestRoleInProcedure_IrradiationAdministering_IrradiationAuthorizing_Inequality()`
    `void` | `TestRoleInProcedure_IrradiationAuthorizing_Description()`
    `void` | `TestRoleInProcedure_IrradiationAuthorizing_Equality()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestRoleInProcedure

          public TestRoleInProcedure(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestRoleInProcedure_IrradiationAdministering_Description

          public void TestRoleInProcedure_IrradiationAdministering_Description()

    - #### TestRoleInProcedure_IrradiationAuthorizing_Description

          public void TestRoleInProcedure_IrradiationAuthorizing_Description()

    - #### TestRoleInProcedure_IrradiationAdministering_Equality

          public void TestRoleInProcedure_IrradiationAdministering_Equality()
                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestRoleInProcedure_IrradiationAuthorizing_Equality

          public void TestRoleInProcedure_IrradiationAuthorizing_Equality()
                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestRoleInProcedure_IrradiationAdministering_IrradiationAuthorizing_Inequality

          public void TestRoleInProcedure_IrradiationAdministering_IrradiationAuthorizing_Inequality()
                                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`